2008-05-07  Andrew Cagney  <cagney@redhat.com>

	* jni/DwarfDie.cxx: Include jni.hxx.	
	* jni/ElfSymbol.cxx: Ditto.
	* jni/ElfSection.cxx: Ditto.
	* jni/ElfRel.cxx: Ditto.
	* jni/ElfPrXFPRegSet.cxx: Ditto.
	* jni/ElfPrstatus.cxx: Ditto.
	* jni/ElfPrpsinfo.cxx: Ditto.
	* jni/ElfPrFPRegSet.cxx: Ditto.
	* jni/ElfPrAuxv.cxx: Ditto.
	* jni/ElfNhdr.cxx: Ditto.
	* jni/ElfDynamic.cxx: Ditto.
	* jni/ElfData.cxx: Ditto.
	* jni/Elf.cxx: Ditto.
	* jni/Dwarf.cxx: Ditto.
	* jni/ElfArchiveSymbol.cxx: Ditto.
	* jni/DwflModule.cxx: Ditto.
	* jni/DwflLine.cxx: Ditto.
	* jni/Dwfl.cxx: Ditto.
	* jni/DwException.cxx: Ditto.

	* jni/Dwarf.cxx: Include jnixx header.
	* jni/ElfSection.cxx: Ditto.
	* jni/ElfRel.cxx: Ditto.
	* jni/ElfPrXFPRegSet.cxx: Ditto.
	* jni/ElfPrstatus.cxx: Ditto.
	* jni/ElfPrpsinfo.cxx: Ditto.
	* jni/ElfNhdr.cxx: Ditto.
	* jni/ElfData.cxx: Ditto.
	* jni/Elf.cxx: Ditto.
	* jni/ElfArchiveSymbol.cxx: Ditto.
	* jni/DwflModule.cxx: Ditto.
	* jni/DwflLine.cxx: Ditto.
	* jni/Dwfl.cxx: Ditto.
	* jni/DwException.cxx: Ditto.
	* jni/DwarfDie.cxx: Ditto.

2008-04-25  Petr Machata  <pmachata@redhat.com>

	* cni/DwflModule.cxx (each_pubname_context): New struct.
	(each_pubname): Moved to anonymous namespace.  Now yields
	DwflDieBias objects.  Uses each_pubname_context to keep track of
	things.
	(get_pubnames): Adjust to above.

2008-04-25  Petr Machata  <pmachata@redhat.com>

	* DwflDieBias.java (getEntryBreakpoints): New method.

2008-04-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* cni/DwarfDie.cxx(get_type): changed while
	loop to if.

2008-04-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java: wrapped getEntryPC()

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* TestElf.java: Use frysk.config.Prefix.

2008-04-15  Thiago Jung Bauermann  <bauerman@br.ibm.com>

	* DwarfRegistersPPC64.mkenum: New.

2008-04-11  Andrew Cagney  <cagney@redhat.com>

	* cni/Dwfl.cxx: Explicitly include "inua/eio/Buffer.h".

	* jni/DwException.cxx: New.
	* jni/Dwarf.cxx: New.
	* jni/DwarfDie.cxx: New.
	* jni/Dwfl.cxx: New.
	* jni/DwflLine.cxx: New.
	* jni/DwflModule.cxx: New.
	* jni/Elf.cxx: New.
	* jni/ElfArchiveSymbol.cxx: New.
	* jni/ElfData.cxx: New.
	* jni/ElfDynamic.cxx: New.
	* jni/ElfNhdr.cxx: New.
	* jni/ElfPrAuxv.cxx: New.
	* jni/ElfPrFPRegSet.cxx: New.
	* jni/ElfPrXFPRegSet.cxx: New.
	* jni/ElfPrpsinfo.cxx: New.
	* jni/ElfPrstatus.cxx: New.
	* jni/ElfRel.cxx: New.
	* jni/ElfSection.cxx: New.
	* jni/ElfSymbol.cxx: New.

2008-04-07  Phil Muldoon  <pmuldoon@redhat.com>

	* cni/ElfPrstatus.cxx: Delete not needed
	asm/elf.h import. Change asm/user.h to
	sys/user.h.
	
2008-04-04  Petr Machata  <pmachata@redhat.com>

	* DwflModule.java (getPLTEntries): New native method.
	* cni/DwflModule.cxx (getPLTEntries): ... and its implementation.

2008-04-04  Petr Machata  <pmachata@redhat.com>

	* DwflModule.java (getSymtab): Take "builder" parameter.
	(get_symbol_table): Likewise.
	* cni/DwflModule.cxx
	(get_symbol_table): Rewrite to use builder callout.

2008-04-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* cni/DwflLine.cxx (DwflLine::dwfl_linecomp_dir): added
	NULL check.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* ElfSymbol.java (type): New field.
	(DwflSymbol): Ctor now gets ElfSymbolType argument
	(getType): New accessor method.
	* cni/DwflModule.cxx (get_symbol_table): Adjust to above.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* DwflModule.java (getSymtab): New method.
	(symbolTable): New field.
	(get_symbol_table): New native method...
	* cni/DwflModule.cxx (get_symbol_table): ... and its implementation.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* cni/DwflModule.cxx (builder_callout): Pass GElf_Sym as pointer.
	(getSymbol, getSymbolByName): Adjust.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* ElfSymbol.java: Copy in methods and field from
	frysk.symtab.Symbol.

2008-03-20  Petr Machata  <pmachata@redhat.com>
	
	* SymbolBuilder.java: Pass type, bind, visibility as full-fledged
	objects.
	* cni/DwflModule.cxx (builder_callout): New function, calls
	builder with the right arguments.
	(getSymbol): Reindent, call builder_callout
	(getSymbolByName): call builder_callout
	(callback): Rename to each_pubname
	(get_pubnames): Adjust to above

2008-03-13  Tim Moore  <timoore@redhat.com>

	* cni/Dwfl.cxx: Add declaration for elfutils'
	elf_from_remote_memory.
	* cni/Elf.cxx (elf_get_raw_data): Use new elf_getdata_rawchunk
	function.

2008-03-04  Phil Muldoon  <pmuldoon@redhat.com>

	* cni/Dwfl.cxx (dwfl_frysk_proc_find_elf): Document 
	relative map edge case.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* TestElf.java: Use frysk.config.

2008-02-26  Andrew Cagney  <cagney@redhat.com>

	* ElfException.java: Use the cause's getMessage.

2008-02-19  Andrew Cagney  <cagney@redhat.com>

	* ElfFileException.java (ElfFileException(String)): Delete.
	(ElfFileException(String,String)): Delete.
	(ElfFileException(File,String)): New.
	(ElfFileException(File,Exception)): New.
	* Elf.java (Elf(String,ElfCommand)): Delete.
	(updateEHeader(ElfHeader)): Return void.
	(getLastErrorMsg()): Make static.
	(getLastErrorNo()): Make static.
	(getDescriptor(File,ElfCommand)): New.
	(Elf(FileDescriptor,ElfCommand)): New.
	(update(ElfCommand)): Return void.
	(createNewEHeader(int wordSize)): Return ElfEHeader.
	* ElfException.java: Extend RuntimeException.
	* cni/Elf.cxx (fillEHeader): Delete.
	(Elf::elf_getehdr): Throw an exception if there's a problem.
	(Elf::elf_update): Ditto.
	(Elf::elf_updatehdr): Ditto.
	* ElfEHeader.java (EI_CLASS): New.
	(getWordSize(), setWordSize()): New.
	(ElfEHeader()): Replace ElfEHeader(Elf).
	(DATANONE, DATA2LSB, DATA2MSB, DATA): Drop PHEADER_ prefix.
	(CLASSNONE, CLASS32, CLASS64, CLASS): Drop PHEADER_ prefix.
	(getByteOrder(), setByteOrder(ByteOrder)): New.
	* TestElf.java: Update.
	(testSetWordSize()): New.
	(testSetByteOrder()): New.
	* ElfPrXFPRegSet.java: Update.
	* ElfPrAuxv.java: Update.
	* ElfPrFPRegSet.java: Update.
	* ElfPrpsinfo.java: Update.
	* ElfPrstatus.java: Update.

2008-02-12  Andrew Cagney  <cagney@redhat.com>

	* Dwfl.java (Dwfl(ProcessIdentifier,String)): Replace
	Dwfl(int,String).

2008-02-05  Stan Cox  <scox@redhat.com>

	* cni/Dwfl.cxx (Dwfl::dwflBegin): Check debuginfo CRC.

2008-01-14  Andrew Cagney  <cagney@redhat.com>

	* cni/DwAttributeNotFoundException.cxx: Delete.

2008-01-13  Stan Cox  <scox@redhat.com>

	* Dwfl.java (Dwfl): Add sysroot parameter.  Change all callers.
	* cni/Dwfl.cxx (dwflBegin): Add sysroot parameter.  Change all callers.
	Consider sysroot.

2007-01-04  Nurdin Premji  <npremji@redhat.com>
        * DwarfDie.java (getProducer): New.
        (getAttrString): New.
        (get_attr_string): New.
        * cni/DwarfDie.cxx (DwarfDie::get_attr_string): New.

2008-01-02  Tim Moore  <timoore@redhat.com>
	* cni/DwarfDie.cxx (iterate_decl): Don't descend into struture and
	union types.

2007-12-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (isDefinitionOnly): New function.
	(getDeclFile): handles DwAttributeNotFoundException.
	(getDeclLine): Ditto.
	* cni/DwarfDie.cxx (DwarfDie::get_decl_file): Ditto.

2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getDeclFile): Now returns File.

2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getDeclLine): Now returns int instead of long.
	* cni/DwarfDie.cxx (DwarfDie::get_decl_line): returns int
	instead of long.

2007-12-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* cni/DwarfDie.cxx (DwarfDie::get_decl_line): now
	throws AttributeNotFoundExceptioin.

2007-12-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (isDeclaration): New function.
	(getDefinition): New function.
	(toString): Added null check.
	(getOriginalDie): Added attribute check.

2007-12-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwflModule.java (getDieByOffset): New function
	* cni/DwflModule.cxx (DwflModule::offdie): New function.
	* TestDwarfDie.java (testGetOffset): New test.

2007-12-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getOffset): Now returns long.
	* cni/DwarfDie.cxx: Updated.
	
2007-12-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDwarfDie.java (testGetModule): New Test.
	* DwarfDie.java (DwarfDie):  Changed constructor to take
	DwflModule instead of Dwfl.
	* DwarfDieFactory.java: Updated.
	* die/Variant.java: Updated.
	* die/VariantPart.java: Updated.
	* die/VolatileType.java: Updated.
	* die/WithStmt.java: Updated.
	* die/Label.java: Updated.
	* die/LexicalBlock.java: Updated.
	* die/LoUser.java: Updated.
	* die/Member.java: Updated.
	* die/MIPSLoop.java: Updated.
	* die/Module.java: Updated.
	* die/MutableType.java: Updated.
	* die/Namelist.java: Updated.
	* die/NamelistItem.java: Updated.
	* die/Namespace.java: Updated.
	* die/PackedType.java: Updated.
	* die/PartialUnit.java: Updated.
	* die/PointerType.java: Updated.
	* die/PtrToMemberType.java: Updated.
	* die/ReferenceType.java: Updated.
	* die/RestrictType.java: Updated.
	* die/SetType.java: Updated.
	* die/SharedType.java: Updated.
	* die/StringType.java: Updated.
	* die/StructureType.java: Updated.
	* die/Subprogram.java: Updated.
	* die/SubrangeType.java: Updated.
	* die/SubroutineType.java: Updated.
	* die/TemplateTypeParameter.java: Updated.
	* die/TemplateValueParameter.java: Updated.
	* die/ThrownType.java: Updated.
	* die/TryBlock.java: Updated.
	* die/Typedef.java: Updated.
	* die/UnionType.java: Updated.
	* die/UnspecifiedParameters.java: Updated.
	* die/UnspecifiedType.java: Updated.
	* die/Variable.java: Updated.
	* die/AccessDeclaration.java: Updated.
	* die/ArrayType.java: Updated.
	* die/BaseType.java: Updated.
	* die/CatchBlock.java: Updated.
	* die/ClassTemplate.java: Updated.
	* die/ClassType.java: Updated.
	* die/CommonBlock.java: Updated.
	* die/CommonInclusion.java: Updated.
	* die/CompileUnit.java: Updated.
	* die/Condition.java: Updated.
	* die/Constant.java: Updated.
	* die/ConstType.java: Updated.
	* die/DwarfProcedure.java: Updated.
	* die/EntryPoint.java: Updated.
	* die/EnumerationType.java: Updated.
	* die/Enumerator.java: Updated.
	* die/FileType.java: Updated.
	* die/FormalParameter.java: Updated.
	* die/FormatLabel.java: Updated.
	* die/Friend.java: Updated.
	* die/FunctionTemplate.java: Updated.
	* die/HiUser.java: Updated.
	* die/ImportedDeclaration.java: Updated.
	* die/ImportedModule.java: Updated.
	* die/ImportedUnit.java: Updated.
	* die/Inheritance.java: 
	* die/InlinedSubroutine.java: Updated.
	* die/InterfaceType.java: Updated.

2007-12-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestDwfl.java (testGetCompliationUnitModule): New test.
	(getCompliationUnitModule): New function.
	* cni/Dwfl.cxx: implemented dwfl_cumodule().

2007-12-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getCompilationUnit): New.
	* TestDwarfDie.java (testGetCompilationUnit): New test.

2007-12-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getDwfl): renamed getParent to getDwfl.

2007-12-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwflModule.java (getPubNames): New function.
	* cni/DwflModule.cxx: Implemented get_pubnames
	* Dwfl.java: Changed factory from private to protected
	final.

2007-11-29  Phil Muldoon  <pmuldoon@redhat.com>

	* cni/ElfPrstatus.cxx (ElfPrstatus::fillMemRegion): Copy
	buffer to structure, do not build buffer.
	* ElfPrstatus.java (setPrGPRegisterBuffer): New.
	(setPrGPReg): Delete.
	(convertToLong): Delete.
	(getPrGPRegIterator): Delete.
	
2007-11-20  Stan Cox  <scox@redhat.com>

	* BaseTypes.java: Remove.
	* DwarfDie.java (getBaseType): Remove.
	* cni/DwarfDie.cxx (DwarfDie:::get_base_type): Remove

2007-11-15  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* DwAttributeNotFoundException.java: New file.
	* cni/DwAttributeNotFoundException.cxx: New file.
	* cni/DwarfDie.cxx: Now throws DwAttributeNotFoundException
	instead of DwException.

2007-11-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* Dwfl.java: Renamed getDie to getCompilationUnit.
	* TestDwfl.java: Updated.
	* TestDwarfDie.java: Updated.

2007-10-31  Stan Cox  <scox@redhat.com>

	* cni/DwarfDie.cxx (skip_storage_attr): Remove.

2007-10-11  Phil Muldoon  <pmuldoon@redhat.com>

	* ChangeLog.elf: New. Recreate pre-refactor ChangeLog
	entries from frysk-imports/lib/elf/ChangeLog.
	* ChangeLog.dw: New. Recreate pre-refactor ChangeLog
	entries from frysk-imports/lib/dw/ChangeLog.

2007-10-05  Phil Muldoon  <pmuldoon@redhat.com>

	* ElfPrpsinfo.java (ElfPrpsinfo): Take size hint parameter
	for 32 on 64.
	* ElfPrstatus.java (ElfPrstatus): Ditto
	* cni/ElfPrpsinfo.cxx (ElfPrpsinfo::getEntrySize): Use size
	parameter to decide wordsize.
	(ElfPrpsinfo::fillMemRegion): Use size parameter to define what
	structure to use, regardless of native wordsize.
	(ElfPrpsinfo): Split structures into 32 and 64 bit structures
	to deal with 32 on 64.
	* cni/ElfPrstatus.cxx (ElfPrstatus::getEntrySize): Use size
	parameter to decide wordsize.
	(ElfPrstatus::fillMemRegion): Use size parameter to define what
	structure to use, regardless of native wordsize.
	(ElfPrstatus): Split structures into 32 and 64 bit structures
	to deal with 32 on 64. Redefine several system structures locally
	to negate long usage.

2007-10-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* cni/DwarfDie.cxx (get_original_die): New function. 
	* DwarfDie.java (getOriginalDie): New function.

2007-09-29  Petr Machata  <pmachata@redhat.com>

	* ElfSymbol.java (Builder.symbol): Pass additional `index'
	parameter to builders.
	(Loader): New class.  Allows for incremental loading of symbols.
	(symbolsCount): New static method.
	* TestElf.java: Adjust for API changes.
	* cni/ElfSymbol.cxx (elf_buildsymbol): Pass `index' to builder.

2007-09-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getAttrBoolean): Now takes a DwAt object.
	(getAttrConstant): Ditto.
	(getTag): Now returns a DwTag object.
	* TestDwarfDie.java: updated
	
2007-09-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* cni/DwarfDie.cxx (DwarfDie::get_decl_line): now uses
 	dwarf_attr_integrate when get_decl_line fails.

2007-09-25  Sami Wagiaalla  <swagiaal@redhat.com>
	
	* cni/DwarfDie.cxx (DwarfDie::hasattr): New function.
	* TestDwarfDie.java: New file.
	(getAttrConstant): New function.

2007-09-21  Andrew Cagney  <cagney@redhat.com>

	* TestDwfl.java: Update; LocalMemory's getVal* and getFunc*
	renamed to getData* and getCode*.

2007-09-11  Petr Machata  <pmachata@redhat.com>

	* ElfSymbol.java: Commentary changes.
	* ElfDynamic.java: Bring in more enum values.
	(loadFrom): start iteration from 0
	* TestElf.java: Test loading of dynamic section.

2007-09-10  Stan Cox  <scox@redhat.com>

	* BaseTypes.java (baseTypeChar): New.
	(baseTypeUnsignedChar): New.
	* cni/DwarfDie.cxx (DwarfDie::get_base_type): Use it.

2007-09-06  Andrew Cagney  <cagney@redhat.com>

	* DwAccess.shenum: New.
	* DwEnd.shenum: New.
	* DwDsc.shenum: New.
	* DwOrd.shenum: New.
	* DwDs.shenum: New.
	* DwAte.shenum: New.

2007-08-30  Andrew Cagney  <cagney@redhat.com>

	* DwTagEncodings.shenum: Delete.
	* DwOpEncodings.shenum: Delete.
	* DwInlEncodings.shenum: Delete.
	* DwAtEncodings.shenum: Delete.
	* DwarfDie.java: Use DwTag.
	* DwarfDieFactory.java: Use DwTag; use DwTag.toPrint().

2007-08-29  Andrew Cagney  <cagney@redhat.com>

	* DwarfDie.java: Re-indent.

	* DwOp.shenum: New.
	* DwAt.shenum: New.
	* DwTag.shenum: New.
	* DwInl.shenum: New.

2007-08-27  Stan Cox  <scox@redhat.com>

	* cni/DwarfDie.cxx (skip_storage_attr): New.
	(get_type): Use it.

2007-08-16  Petr Machata  <pmachata@redhat.com>

	* ElfSymbolBinding.java: New file.
	* ElfSymbolType.java: New file.
	* ElfSymbolVersion.java: New file.
	* ElfSymbolVisibility.java: New file.
	* ElfDynamic.java: New fields of enum.
	* ElfSymbol.java: Use full enums instead of ints where possible.
	Support ELF versioning scheme.
	* TestElf.java: Test enums and versioning.
	* cni/ElfSymbol.cxx: Support enums and versioning.
	(elf_getversym, elf_load_verdef, elf_load_verneed): New methods.

2007-08-16  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* DwInlEncodings.shenum: New file.

2007-08-13  Phil Muldoon  <pmuldoon@redhat.com>

	* ElfNhdrType.java:Add NT_PRXFPREG constant.

2007-08-10  Teresa Thomas  <tthomas@redhat.com>

	* DwarfOp.java: New file.
	* DwarfDie.java: Nested class DwarfOp separated.

2007-08-09  Phil Muldoon  <pmuldoon@redhat.com>

	* cni/ElfPrXFPRegSet.cxx (ElfPrXFPRegSet::getNoteData): <= != <

2007-08-08  Phil Muldoon  <pmuldoon@redhat.com>

	* TestElf.java (testXFPRegSet): New method.
	* ElfPrXFPRegSet: New File.
	* cni/ElfPrXFPRegSet.cxx: Ditto.
	
2007-08-08  Nurdin Premji  <npremji@redhat.com>

	* DwarfRegistersX8664.mkenum: Removed spaces, mkenum doesn't handle them well.	

	* DwarfRegistersX8664.mkenum: Updated, based on newer ABI.

2007-08-08  Petr Machata  <pmachata@redhat.com>

	* TestElf.java (testObjectFileTables): Moved symtab and relocation
	tests here.

2007-08-08  Petr Machata  <pmachata@redhat.com>

	* TestElf.java (testObjectFile): Test symtab and relocations.

2007-08-03  Nurdin Premji  <npremji@redhat.com>

	* DwarfRegistersX86.mkenum: Added.
	* DwarfRegistersX8664.mkenum: Added.

2007-08-03  Petr Machata  <pmachata@redhat.com>

	* Elf.java (getSectionByOffset): Call elf_offscn, not elf_getscn.
	* ElfSymbolBuilder.java: Removed.
	* ElfSymbol.java (Builder): Brought in from ElfSymbolBuilder.java.
	* cni/ElfSymbol.cxx: Changed to reflect that.
	* ElfDynamic.java, cni/ElfDynamic.cxx: New class.

2007-08-02  Teresa Thomas  <tthomas@redhat.com>

	* DwflModule.java (getDebuginfo): Documentation updated.
	* cni/DwflModule.cxx (getDebuginfo): Return NULL instead of ""
	  when debuginfo not found.

2007-07-31  Teresa Thomas  <tthomas@redhat.com>

	* DwflModule.java (getDebuginfo): Added.	
	* cni/DwflModule.cxx (getDebuginfo): Added.
	
2007-07-27  Andrew Cagney  <cagney@redhat.com>

	* Elf.java (Elf(File,ElfCommand)): New constructor.

	* TestElf.java: Use Config.getPkgDataFile.

2007-07-27  Petr Machata  <pmachata@redhat.com>

	* ElfSectionHeader.java: added ELF_SHN_* constants
	
2007-07-26  Petr Machata  <pmachata@redhat.com>

	* ElfSymbol.java, cni/ElfSymbol.cxx: new class
	* ElfRel.java, cni/ElfRel.cxx: new class
	* ElfSymbolBuilder.java: new interface
	* ElfSection.java(getSymbols): moved to ElfSymbol
	* cni/ElfSection.cxx(elf_getsymbol): moved to ElfSymbol
	* ElfSectionHeader.java: changed SHEADER_ prefix to ELF_

2007-07-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* DwarfDie.java (getFrameBase): Scopes are retrieved on every
	call.

2007-07-24  Petr Machata  <pmachata@redhat.com>

	* cni/Elf.cxx (elf_strptr): Use JvNewStringUTF to build a string.
	* ElfSectionHeader.java (class): introduce constants from elf.h.
	* ElfSection.java(getSymbols): New function.
	* cni/ElfSection.cxx (elf_getsymbol): New function.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	* cni/Dwfl.cxx (dwflBegin(int)): Replace dwfl_begin(int).
	(dwflBegin): Replace dwfl_begin().
	* Dwfl.java (pointer): Change type to gnu.gcj.RawData.
	(getPointer): Return RawData; make package private.
	(Dwfl(int)): Delete.
	(Dwfl(long)): Delete.
	(dwflBegin(int)): Replace dwfl_begin(int).
	(dwflBegin): Replace dwfl_begin().
	
	* DwflModule.java: Re-indent.
	* Dwfl.java: Re-indent.
	* Elf.java: Re-indent.
	* Dwarf.java: Re-indent.
	
	* Elf.java (pointer): Change type to gnu.gcj.RawData.
	(Elf(RawData)): Replace Elf(long), make package private.
	(haveNativeObject): Delete.
	(elfBegin): Return RawData.
	(close): Update; close fd.
	(elfEnd): Replace elf_end; make static.
	(finalize): Call close.
	(getPointer): Make package private.
	* cni/Elf.cxx (elfBegin): Update.
	(elf_end): Update.
	* cni/DwflModule.cxx (module_getelf): Update.
	* cni/Dwarf.cxx: Update.
	* Dwarf.java (dwarf_begin_elf): Make elf parameter RawData.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* DwAtEncodings.shenum: Include frysk-imports in path to
	"dwarf.h".
	* DwOpEncodings.shenum: Ditto.
	* DwTagEncodings.shenum: Ditto.

	Merge lib/dw and lib/elf to lib/dwfl.
	* package.html: New.
	* Elf.java: Moved.
	* ElfArchiveHeader.java: Moved.
	* ElfArchiveSymbol.java: Moved.
	* ElfCommand.java: Moved.
	* ElfData.java: Moved.
	* ElfEHeader.java: Moved.
	* ElfEMachine.java: Moved.
	* ElfError.java: Moved.
	* ElfException.java: Moved.
	* ElfFileException.java: Moved.
	* ElfFlags.java: Moved.
	* ElfKind.java: Moved.
	* ElfNhdr.java: Moved.
	* ElfNhdrType.java: Moved.
	* ElfPHeader.java: Moved.
	* ElfPrAuxv.java: Moved.
	* ElfPrFPRegSet.java: Moved.
	* ElfPrpsinfo.java: Moved.
	* ElfPrstatus.java: Moved.
	* ElfSection.java: Moved.
	* ElfSectionHeader.java: Moved.
	* ElfSectionHeaderTypes.java: Moved.
	* ElfType.java: Moved.
	* cni/Elf.cxx: Moved.
	* cni/ElfArchiveSymbol.cxx: Moved.
	* cni/ElfData.cxx: Moved.
	* cni/ElfNhdr.cxx: Moved.
	* cni/ElfPrAuxv.cxx: Moved.
	* cni/ElfPrFPRegSet.cxx: Moved.
	* cni/ElfPrpsinfo.cxx: Moved.
	* cni/ElfPrstatus.cxx: Moved.
	* cni/ElfSection.cxx: Moved.
	* tests/TestElf.java: Moved.
	* DwAtEncodings.shenum: Moved.
	* DwOpEncodings.shenum: Moved.
	* DwTagEncodings.shenum: Moved.
	* BaseTypes.java: Moved.
	* cni/DwarfDie.cxx: Moved.
	* cni/DwflModule.cxx: Moved.
	* cni/Dwarf.cxx: Moved.
	* cni/DwflLine.cxx: Moved.
	* cni/Dwfl.cxx: Moved.
	* cni/DwException.cxx: Moved.
	* die/StructureType.java: Moved.
	* die/ArrayType.java: Moved.
	* die/Variable.java: Moved.
	* die/VariantPart.java: Moved.
	* die/ClassType.java: Moved.
	* die/Namespace.java: Moved.
	* die/CatchBlock.java: Moved.
	* die/Member.java: Moved.
	* die/HiUser.java: Moved.
	* die/Variant.java: Moved.
	* die/MIPSLoop.java: Moved.
	* die/LoUser.java: Moved.
	* die/ConstType.java: Moved.
	* die/SubrangeType.java: Moved.
	* die/InlinedSubroutine.java: Moved.
	* die/EntryPoint.java: Moved.
	* die/TemplateValueParameter.java: Moved.
	* die/FormalParameter.java: Moved.
	* die/AccessDeclaration.java: Moved.
	* die/ImportedUnit.java: Moved.
	* die/ThrownType.java: Moved.
	* die/Constant.java: Moved.
	* die/UnspecifiedType.java: Moved.
	* die/StringType.java: Moved.
	* die/CompileUnit.java: Moved.
	* die/PackedType.java: Moved.
	* die/Inheritance.java: Moved.
	* die/Condition.java: Moved.
	* die/LexicalBlock.java: Moved.
	* die/Enumerator.java: Moved.
	* die/Subprogram.java: Moved.
	* die/SetType.java: Moved.
	* die/ReferenceType.java: Moved.
	* die/PartialUnit.java: Moved.
	* die/Module.java: Moved.
	* die/UnspecifiedParameters.java: Moved.
	* die/Label.java: Moved.
	* die/ImportedModule.java: Moved.
	* die/CommonBlock.java: Moved.
	* die/MutableType.java: Moved.
	* die/SharedType.java: Moved.
	* die/ClassTemplate.java: Moved.
	* die/InterfaceType.java: Moved.
	* die/Friend.java: Moved.
	* die/WithStmt.java: Moved.
	* die/BaseType.java: Moved.
	* die/PointerType.java: Moved.
	* die/Typedef.java: Moved.
	* die/TemplateTypeParameter.java: Moved.
	* die/FunctionTemplate.java: Moved.
	* die/VolatileType.java: Moved.
	* die/FormatLabel.java: Moved.
	* die/PtrToMemberType.java: Moved.
	* die/CommonInclusion.java: Moved.
	* die/RestrictType.java: Moved.
	* die/UnionType.java: Moved.
	* die/TryBlock.java: Moved.
	* die/ImportedDeclaration.java: Moved.
	* die/NamelistItem.java: Moved.
	* die/FileType.java: Moved.
	* die/DwarfProcedure.java: Moved.
	* die/EnumerationType.java: Moved.
	* die/SubroutineType.java: Moved.
	* die/Namelist.java: Moved.
	* DieVisitor.java: Moved.
	* DwarfCommand.java: Moved.
	* DwarfDieFactory.java: Moved.
	* DwarfDie.java: Moved.
	* DwarfException.java: Moved.
	* Dwarf.java: Moved.
	* DwException.java: Moved.
	* DwflDieBias.java: Moved.
	* Dwfl.java: Moved.
	* DwflLine.java: Moved.
	* DwflModule.java: Moved.
	* ModuleElfBias.java: Moved.
	* SymbolBuilder.java: Moved.
	* tests/TestDwfl.java: Moved.


Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
